--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: SECOND
  value: "1"
- !ruby/object:RI::Constant 
  comment: 
  name: MINUTE
  value: 60 * SECOND
- !ruby/object:RI::Constant 
  comment: 
  name: HOUR
  value: 60 * MINUTE
- !ruby/object:RI::Constant 
  comment: 
  name: DAY
  value: 24 * HOUR
- !ruby/object:RI::Constant 
  comment: 
  name: WEEK
  value: 7 * DAY
- !ruby/object:RI::Constant 
  comment: 
  name: YEAR
  value: 365 * DAY
- !ruby/object:RI::Constant 
  comment: 
  name: SEGMENTS
  value: "%w{years weeks days hours minutes seconds}.collect{ |s| s.to_sym }"
full_name: Duration
includes: 
- !ruby/object:RI::IncludedModule 
  name: Comparable
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: +
- !ruby/object:RI::MethodSummary 
  name: +
- !ruby/object:RI::MethodSummary 
  name: "-"
- !ruby/object:RI::MethodSummary 
  name: /
- !ruby/object:RI::MethodSummary 
  name: <=>
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: after
- !ruby/object:RI::MethodSummary 
  name: before
- !ruby/object:RI::MethodSummary 
  name: days
- !ruby/object:RI::MethodSummary 
  name: hours
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: minutes
- !ruby/object:RI::MethodSummary 
  name: reset_segments
- !ruby/object:RI::MethodSummary 
  name: seconds
- !ruby/object:RI::MethodSummary 
  name: segmented
- !ruby/object:RI::MethodSummary 
  name: segments
- !ruby/object:RI::MethodSummary 
  name: strftime
- !ruby/object:RI::MethodSummary 
  name: to_a
- !ruby/object:RI::MethodSummary 
  name: to_f
- !ruby/object:RI::MethodSummary 
  name: to_h
- !ruby/object:RI::MethodSummary 
  name: to_i
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: total
- !ruby/object:RI::MethodSummary 
  name: weeks
- !ruby/object:RI::MethodSummary 
  name: years
name: Duration
superclass: Object
